package pps.core.task.job;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.scadapi.service.ScadaPiService;
import pps.cloud.scadapi.service.data.SyncScadaDataParamsInput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

@XText("SCADAPI Tag点值 数据同步 采集频率为 24 小时 补采 机制")
@XService
public class ScadaPiDataDayComJob implements XJob {
    private static Logger logger = LoggerFactory.getLogger(ScadaPiJob.class);
    @Override
    @XCronTrigger(value = "0 10 20 * * ?")
    public XServiceResult execute(XContext context) {

        Date currentTime = new Date();
        int currentMin = currentTime.getMinutes();

        String gather_offsetStr = String.valueOf(currentMin);

        SyncScadaDataParamsInput input = new SyncScadaDataParamsInput();

        input.setCollectInterval(24);//采集频率为 24 小时 及1天 ,对应每天的八点
        input.setGatherOffset("0");//gatherOffset

        input.setMoveTowards("1");//向前向后（1-向前；2-向后）
        input.setScadaEnvironmentInfoId(2);

        SimpleDateFormat formatzxsj = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        SimpleDateFormat formatzxsj8 = new SimpleDateFormat("yyyy-MM-dd 08:00:00");

        try {
            Date CurrentTime = formatzxsj8.parse( formatzxsj8.format(new Date()) );
            input.setCurrentTime(CurrentTime );//currentTime
        } catch (ParseException e) {
            throw new RuntimeException(e);
        }

        input.setSyncType(1);

        input.setTaskName("自动补采 普通值 频率 24 执行时间为："+formatzxsj.format(input.getCurrentTime()) );

        ScadaPiService service = context.getBean(ScadaPiService.class);
        service.SyncScadaDataParamsbak(context, input);

        return XServiceResult.OK;
    }
}
