package pps.core.task.job;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.scadapi.service.ScadaPiService;
import pps.cloud.scadapi.service.data.SyncScadaDataParamsInput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

import java.text.SimpleDateFormat;
import java.util.Date;

@XText("SCADAPI Tag点值 数据同步 采集频率为 2 小时")
@XService
public class ScadaPiDataTwoHourJob  implements XJob {
    private static Logger logger = LoggerFactory.getLogger(ScadaPiJob.class);
    @Override
    @XCronTrigger(value = "0 * * * * ?")
    public XServiceResult execute(XContext context) {

        Date currentTime = new Date();
        int currentMin = currentTime.getMinutes();
        String gather_offsetStr = String.valueOf(currentMin);

        SyncScadaDataParamsInput input = new SyncScadaDataParamsInput();

        input.setCollectInterval(2);//采集频率为 2 小时
        input.setGatherOffset(gather_offsetStr);//gatherOffset
        input.setCurrentTime(currentTime);//currentTime
        input.setSyncType(0); //syncType
        input.setMoveTowards("1"); //向前向后（1-向前；2-向后）

        SimpleDateFormat formatzxsj = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        input.setTaskName("普通值 频率 2 执行时间为："+formatzxsj.format(currentTime) );

        ScadaPiService service = context.getBean(ScadaPiService.class);
        service.SyncScadaDataParams(context, input);

        return XServiceResult.OK;
    }
}
