-- pps_base_info
-- pps_base_info.scada_gather_manual_conf definition

-- Drop table

-- DROP TABLE pps_base_info.scada_gather_manual_conf;

CREATE TABLE pps_base_info.scada_gather_manual_conf (
    id varchar(40) NOT NULL,
    m_ou_id varchar NULL, -- 数据项管理组织机构id
    m_ou_name varchar NULL, -- 数据项管理组织机构名称
    pipeline_id varchar NULL, -- 管线id
    pipeline_name varchar NULL, -- 管线名称
    segment_id varchar NULL, -- 管段id
    segment_name varchar NULL, -- 管段名称
    station_id varchar NULL, -- 场站id
    station_name varchar NULL, -- 场站名称
    customer_id varchar NULL, -- 客户id
    customer_name varchar NULL, -- 客户名称
    equipment_id varchar NULL, -- 设备id
    equipment_name varchar NULL, -- 设备名称
    equipment_type_id varchar NULL, -- 设备类型
    equipment_type_name varchar NULL, -- 设备类型描述
    sort int4 NULL, -- 排序
    scada_environment_info_id varchar(40) NULL, -- scada环境标识
    out_pressure_scada varchar NULL, -- 废弃出口压力scada点号
    out_temperature_scada varchar NULL, -- 废弃出口温度scada点号
    working_density_scada varchar NULL, -- 废弃工况密度scada点号
    instant_flow_scada varchar NULL, -- 废弃瞬时流量scada点号
    create_by_id varchar(50) NULL,
    create_by_name varchar(150) NULL,
    create_time smalldatetime NULL,
    modify_by_id varchar(50) NULL,
    modify_by_name varchar(150) NULL,
    modify_time smalldatetime NULL,
    scada_column varchar NULL, -- 需要采集的scada列
    scada_tag varchar NULL, -- scada点号
    scada_gather_box_id varchar NULL, -- 采集模型id
    scada_gather_box_rel_id varchar NULL, -- 采集模型关系id
    config_column_id varchar NULL -- config表主键id
)
    WITH (
        orientation=row,
        compression=no
        );
COMMENT ON TABLE pps_base_info.scada_gather_manual_conf IS 'scada手动采集配置';

-- Column comments

COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.m_ou_id IS '数据项管理组织机构id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.m_ou_name IS '数据项管理组织机构名称';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.segment_id IS '管段id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.segment_name IS '管段名称';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.station_id IS '场站id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.station_name IS '场站名称';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.customer_id IS '客户id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.customer_name IS '客户名称';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.equipment_id IS '设备id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.equipment_name IS '设备名称';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.equipment_type_id IS '设备类型';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.equipment_type_name IS '设备类型描述';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.sort IS '排序';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.scada_environment_info_id IS 'scada环境标识';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.out_pressure_scada IS '废弃出口压力scada点号';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.out_temperature_scada IS '废弃出口温度scada点号';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.working_density_scada IS '废弃工况密度scada点号';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.instant_flow_scada IS '废弃瞬时流量scada点号';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.scada_column IS '需要采集的scada列';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.scada_tag IS 'scada点号';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.scada_gather_box_id IS '采集模型id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.scada_gather_box_rel_id IS '采集模型关系id';
COMMENT ON COLUMN pps_base_info.scada_gather_manual_conf.config_column_id IS 'config表主键id';

ALTER TABLE pps_base_info.scada_gather_conf ADD timer_gather bool NULL;
COMMENT ON COLUMN pps_base_info.scada_gather_conf.timer_gather IS '采集方式：true-自动；false-手动；';
-- pps_base_info.scada_gather_manual_conf foreign keys

-- pps_base_frame


-- pps_measure
ALTER TABLE pps_measure.crude_voucher_metalcans ALTER COLUMN crude_oil_source_name TYPE varchar(200) USING crude_oil_source_name::varchar;
ALTER TABLE pps_measure.crude_voucher_metalcans_receive ALTER COLUMN crude_oil_source_name TYPE varchar(200) USING crude_oil_source_name::varchar;
ALTER TABLE pps_measure.crude_voucher_multi_metalcans_detail ALTER COLUMN metalcans_name TYPE varchar(200) USING metalcans_name::varchar;
ALTER TABLE pps_measure.crude_voucher_three ALTER COLUMN crude_oil_source_name TYPE varchar(200) USING crude_oil_source_name::varchar;
ALTER TABLE pps_measure.crude_voucher_three ALTER COLUMN equipment_name TYPE varchar(200) USING crude_oil_source_name::varchar;
ALTER TABLE pps_measure.crude_voucher_single_receive ALTER COLUMN equipment_name TYPE varchar(200) USING equipment_name::varchar;
ALTER TABLE pps_measure.crude_voucher_single_receive ALTER COLUMN crude_oil_source_name TYPE varchar(200) USING crude_oil_source_name::varchar;
ALTER TABLE pps_measure.crude_voucher_single ALTER COLUMN crude_oil_source_name TYPE varchar(200) USING crude_oil_source_name::varchar;
ALTER TABLE pps_measure.crude_voucher_single ALTER COLUMN equipment_name TYPE varchar(200) USING equipment_name::varchar;
ALTER TABLE pps_measure.crude_voucher_multi_equipment_detail ALTER COLUMN equipment_name TYPE varchar(200) USING equipment_name::varchar;




-- pps_interface


-- pps_workflow
ALTER TABLE pps_workflow.bpm_process_approval ADD next_activity_id varchar NULL;
COMMENT ON COLUMN pps_workflow.bpm_process_approval.next_activity_id IS '下一节点定义id';
ALTER TABLE pps_workflow.bpm_process_approval ADD next_activity_name varchar NULL;
COMMENT ON COLUMN pps_workflow.bpm_process_approval.next_activity_name IS '下一节点定义名称';


--pps_base_frame
ALTER TABLE pps_base_frame.form_input_record ADD save_error_tables varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_input_record.save_error_tables IS '保存错误的表名';
ALTER TABLE pps_base_frame.form_fill_conf ADD skip_path varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf.skip_path IS '跳转路径';
ALTER TABLE pps_base_frame.form_fill_conf ADD stars_state varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf.stars_state IS '星星颜色状态（字典）';
ALTER TABLE pps_base_frame.form_fill_conf ADD fill_conf_type varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf.fill_conf_type IS '填报进展配置类型 1-正常配置；2-自定义配置';



--pps_interface


--pps_base_frame
ALTER TABLE pps_base_frame.form_fill_conf ADD remarks varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf.remarks IS '备注';
create table pps_base_frame.form_input_removed_rows (
	id varchar(40) NOT NULL,
	form_input_record_id varchar(40) NULL,
	table_name varchar(200) NULL,
	rows_json text NULL,
	create_time timestamp NULL,
PRIMARY KEY (id)
);
comment on table pps_base_frame.form_input_removed_rows is '表单删除的数据行';


COMMENT ON COLUMN pps_base_frame.form_input_removed_rows.id IS '主键';
COMMENT ON COLUMN pps_base_frame.form_input_removed_rows.form_input_record_id IS '表单填报记录id';
COMMENT ON COLUMN pps_base_frame.form_input_removed_rows.table_name IS '表名称';
COMMENT ON COLUMN pps_base_frame.form_input_removed_rows.rows_json IS '数据';
COMMENT ON COLUMN pps_base_frame.form_input_removed_rows.create_time IS '创建时间';
ALTER TABLE pps_base_frame.form_input_removed_rows ADD databox varchar NULL;

ALTER TABLE pps_base_frame.form_data_box ADD fill_record_config_table_name varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_data_box.fill_record_config_table_name IS '配置表';




--pps_dispatch
ALTER TABLE pps_dispatch.disp_lng_shipping_schedule ADD state int4 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_lng_shipping_schedule.state IS '状态0正常1删除';

ALTER TABLE pps_dispatch.disp_task_plan_batch ADD create_by_ou_id varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.create_by_ou_id IS '创建人所在组织机构';

ALTER TABLE pps_dispatch.disp_task_plan_batch ADD bsns_detail_url varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.bsns_detail_url IS '详情页url';
ALTER TABLE pps_dispatch.disp_task_plan_batch DROP COLUMN task_ids;

ALTER TABLE pps_dispatch.disp_task_plan_batch RENAME COLUMN ou_id TO task_station_id;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.task_station_id IS '作业单位（场站）';







