  -- pps_workflow
  -- 创建流程审批错误表 start ----
  CREATE TABLE pps_workflow.bpm_process_approval_error (
    id varchar(40) NOT NULL,
    iam_login_name varchar NULL,
    url varchar NULL,
    req_param varchar NULL,
    exception_msg varchar NULL,
    create_time timestamp NULL,
    CONSTRAINT bpm_process_approval_error_pk PRIMARY KEY (id)
  );
  COMMENT ON TABLE pps_workflow.bpm_process_approval_error IS '流程审批错误表（与普元交互日志）';

  -- Column comments

  COMMENT ON COLUMN pps_workflow.bpm_process_approval_error.id IS '主键';
  COMMENT ON COLUMN pps_workflow.bpm_process_approval_error.iam_login_name IS 'iam用户';
  COMMENT ON COLUMN pps_workflow.bpm_process_approval_error.url IS '接口地址';
  COMMENT ON COLUMN pps_workflow.bpm_process_approval_error.req_param IS '请求参数';
  COMMENT ON COLUMN pps_workflow.bpm_process_approval_error.exception_msg IS '异常信息';
  COMMENT ON COLUMN pps_workflow.bpm_process_approval_error.create_time IS '创建时间';
  -- 创建流程审批错误表 end ----


  -- 创建过渡期作业计划表 start ----

  CREATE TABLE pps_interface.pps_old_ims_task_plan (
    id varchar(40) NOT NULL,
    job_plan_i_d varchar(40) NOT NULL, -- 作业计划id
    o_u_i_d varchar(40) NULL, -- 组织机构ID
    job_plan_code varchar(50) NULL, -- 作业计划编号
    job_plan_name varchar(100) NULL, -- 作业名称
    job_plan_type int4 NOT NULL, -- 作业计划类型，对应字典表 (4840,年作业计划,4841月作业计划,4842周作业计划,35576紧急作业申请,36109计划作业申请,37432作业申请（西部管道）,24389作业申请)
    job_scope_type int4 NULL, -- 作业范围，对应字典表(4843管线作业,4844管段作业,4845场站作业,4846阀室作业,)
    pipeline_i_d varchar(40) NULL, -- 管线ID
    begin_station_i_d varchar(40) NULL, -- 作业范围为管段时，的开始场站ID
    end_station_i_d varchar(40) NULL, -- 作业范围为管段时，的结束场站ID
    station_i_d varchar(40) NULL, -- 作业范围为场站，的场站ID
    job_property_type int4 NULL, -- "作业性质，对应字典表(4847 秋检,4848计划性维护保养,4849维修,4850排污,4851仪表检定,4852常规作业,4853施工,4854动火,4855热工,4856冷工,24332自动化与通讯,¶24388清管/内检测,35577计量设备检定,36924春检,36948受限空间作业,36949挖掘作业,39104流量计拆卸或安装,39105计量直管道、整流器清洗或更换¶,39106超声流量计探头更换或清洗,39107计量中心检定作业拆装,39108计量配套/分析仪表检定校准,39109计量故障维修,39110计量计划性维护¶,39111计量设备投产调试39112其他项)"
    professional_type int4 NULL, -- 所属专业，对应字典表(4858电气4862工艺,4863通信,4865自动化,36726设备,36727压缩机,36728线路,36729其他,38586防腐,39103计量)
    company_o_u_i_d varchar(40) NULL, -- 所属二级单位.(只有当前登录用户是场站用户时才显示，二级单位为场站的上一级)
    estimate_start_time timestamp NULL, -- 作业预计开始时间
    estimate_end_time timestamp NULL, -- 作业预计结束时间
    actual_start_time timestamp NULL, -- 实际开始时间
    actual_end_time timestamp NULL, -- 实际结束时间
    effect varchar(500) NULL, -- 操作影响
    job_content varchar NULL, -- 作业内容
    operation_flow varchar NULL, -- 主要操作流程
    remark varchar(500) NULL, -- 备注
    workflow_i_d varchar(40) NULL, -- 工作流ID
    execution_status int4 NULL, -- 执行状态：0:审核流转中,1:已完成,2:进行中,3:推迟,4:取消(36027暂存,36028审核流转中,36029进行中,36030已完成,36031未完成,36465审核通过)
    is_completed int4 NULL, -- 是否完成
    valvebox_station_i_d varchar(50) NULL, -- 作业范围为阀室时，的场站ID
    medium int4 NOT NULL, -- 介质类型(1原油,2天然气,3成品油) (227天然气,228原油,229成品油,4471城市燃气,5744LNG)
    job_plan_responsible varchar(50) NULL, -- 作业负责人
    contact_way varchar(50) NULL, -- 联系方式
    "version" int4 NULL, -- 版本号
    progress_reported_job varchar(1000) NULL, -- 作业进展填报
    template_i_d varchar(40) NULL, -- 模板
    job_plan_code_y int4 NULL, -- Code年份
    job_plan_code_n int4 NULL, -- Code编号
    z_c_status int4 NULL, -- 操作状态
    y_j varchar(1000) NULL, -- 意见
    s_p_user_i_d varchar(40) NULL, -- 审核人ID
    msg_i_d varchar(80) NULL, -- 加签消息ID
    is_b_a int4 NULL, -- 是否备案
    job_level int4 NULL, -- 作业分级(0,重要,1,一般,2,备案)
    d_q_g_s_y_j varchar(1000) NULL, -- 地区公司审批意见
    is_deleted int4 NULL, -- 是否删除
    create_by_i_d varchar(40) NULL, -- 创建人ID
    create_by_name varchar(50) NULL, -- 创建人姓名
    create_time timestamp NULL, -- 创建时间
    modify_by_i_d varchar(40) NULL, -- 修改人ID
    modify_by_name varchar(50) NULL, -- 修改人姓名
    modify_time timestamp NULL, -- 修改时间
    is_release varchar(50) NULL,
    job_plan_level int4 NULL, -- 通信 作业级别 1 2 3
    pipeline_level int4 NULL, -- 通信管线级别 1级2级 1 2
    is_transfer int4 NULL DEFAULT 0, -- 是否已转换（0：否，1：是）
    job_plan_code_new varchar(50) NULL, -- 作业编码-新
    CONSTRAINT pps_old_ims_task_plan_pk PRIMARY KEY (id)
  )
  WITH (
    orientation=row,
    compression=no
  );

  -- Column comments

  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_i_d IS '作业计划id';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.o_u_i_d IS '组织机构ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_code IS '作业计划编号';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_name IS '作业名称';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_type IS '作业计划类型，对应字典表 (4840,年作业计划,4841月作业计划,4842周作业计划,35576紧急作业申请,36109计划作业申请,37432作业申请（西部管道）,24389作业申请)';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_scope_type IS '作业范围，对应字典表(4843管线作业,4844管段作业,4845场站作业,4846阀室作业,)';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.pipeline_i_d IS '管线ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.begin_station_i_d IS '作业范围为管段时，的开始场站ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.end_station_i_d IS '作业范围为管段时，的结束场站ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.station_i_d IS '作业范围为场站，的场站ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_property_type IS '"作业性质，对应字典表(4847 秋检,4848计划性维护保养,4849维修,4850排污,4851仪表检定,4852常规作业,4853施工,4854动火,4855热工,4856冷工,24332自动化与通讯,
  24388清管/内检测,35577计量设备检定,36924春检,36948受限空间作业,36949挖掘作业,39104流量计拆卸或安装,39105计量直管道、整流器清洗或更换
  ,39106超声流量计探头更换或清洗,39107计量中心检定作业拆装,39108计量配套/分析仪表检定校准,39109计量故障维修,39110计量计划性维护
  ,39111计量设备投产调试39112其他项)"';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.professional_type IS '所属专业，对应字典表(4858电气4862工艺,4863通信,4865自动化,36726设备,36727压缩机,36728线路,36729其他,38586防腐,39103计量)';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.company_o_u_i_d IS '所属二级单位.(只有当前登录用户是场站用户时才显示，二级单位为场站的上一级)';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.estimate_start_time IS '作业预计开始时间';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.estimate_end_time IS '作业预计结束时间';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.actual_start_time IS '实际开始时间';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.actual_end_time IS '实际结束时间';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.effect IS '操作影响';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_content IS '作业内容';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.operation_flow IS '主要操作流程';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.remark IS '备注';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.workflow_i_d IS '工作流ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.execution_status IS '执行状态：0:审核流转中,1:已完成,2:进行中,3:推迟,4:取消(36027暂存,36028审核流转中,36029进行中,36030已完成,36031未完成,36465审核通过)';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.is_completed IS '是否完成';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.valvebox_station_i_d IS '作业范围为阀室时，的场站ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.medium IS '介质类型(1原油,2天然气,3成品油) (227天然气,228原油,229成品油,4471城市燃气,5744LNG)';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_responsible IS '作业负责人';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.contact_way IS '联系方式';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan."version" IS '版本号';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.progress_reported_job IS '作业进展填报';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.template_i_d IS '模板';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_code_y IS 'Code年份';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_code_n IS 'Code编号';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.z_c_status IS '操作状态';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.y_j IS '意见';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.s_p_user_i_d IS '审核人ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.msg_i_d IS '加签消息ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.is_b_a IS '是否备案';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_level IS '作业分级(0,重要,1,一般,2,备案)';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.d_q_g_s_y_j IS '地区公司审批意见';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.is_deleted IS '是否删除';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.create_by_i_d IS '创建人ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.create_by_name IS '创建人姓名';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.create_time IS '创建时间';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.modify_by_i_d IS '修改人ID';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.modify_by_name IS '修改人姓名';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.modify_time IS '修改时间';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_level IS '通信 作业级别 1 2 3';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.pipeline_level IS '通信管线级别 1级2级 1 2';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.is_transfer IS '是否已转换（0：否，1：是）';
  COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.job_plan_code_new IS '作业编码-新';

  -- 创建过渡期作业计划表 end ----

-- pps-interface

-- 创建与Ims交互作业计划日志表 start ----
CREATE TABLE pps_interface.pps_ack_ims_task_plan_log (
    id varchar(40) NOT NULL,
    plan_id varchar NULL, -- 新作业计划id
	  plan_code varchar NULL, -- 从过渡期获取的作业编码
    url varchar NULL,
    req_param varchar NULL,
    resp_param varchar NULL,
    create_time timestamp NULL,
    status int4 NULL,
    CONSTRAINT pps_ack_ims_task_plan_log_pk PRIMARY KEY (id)
  );
  COMMENT ON TABLE pps_interface.pps_ack_ims_task_plan_log IS '与Ims交互作业计划日志表';

  -- Column comments

  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.id IS '主键';
  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.plan_id IS '新作业计划id';
  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.plan_code IS '从过渡期获取的作业编码';
  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.url IS '接口地址';
  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.req_param IS '请求参数';
  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.resp_param IS '响应参数';
  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.create_time IS '创建时间';
  COMMENT ON COLUMN pps_interface.pps_ack_ims_task_plan_log.status IS '响应状态（1：成功，2：失败）';
-- 创建与Ims交互作业计划日志表 end -----
