--pps_dispatch star
--运行方案上报相关操作
CREATE TABLE pps_dispatch.disp_run_plan_escalation_feedback (
	id varchar(40) NOT NULL, -- 主键
	run_plan_receiver_id varchar(40) NULL, -- 运行方案业务收件人id disp_run_plan_receiver表id
	escalation_id varchar(40) NULL, -- 运行方案上报id
	remark varchar NULL, -- 反馈意见
	feedback_date smalldatetime NULL, -- 反馈时间
	media_type varchar(40) NULL, -- 介质类型
	CONSTRAINT "_disp_run_plan_escalation_feedback_pkey" PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.disp_run_plan_escalation_feedback IS '调度运行-运行方案上报-反馈';

-- Column comments

COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation_feedback.id IS '主键';
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation_feedback.run_plan_receiver_id IS '运行方案业务收件人id	disp_run_plan_receiver表id';
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation_feedback.escalation_id IS '运行方案上报id';
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation_feedback.remark IS '反馈意见';
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation_feedback.feedback_date IS '反馈时间';
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation_feedback.media_type IS '介质类型';


ALTER TABLE pps_dispatch.disp_run_plan_escalation ALTER COLUMN audit_state TYPE int1 USING audit_state::int1;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation.audit_state IS '审核状态（1暂存 2 提交 3 二级单位审核通过 4 二级单位审核驳回 5 二级单位批准通过 6 二级单位审批驳回  7 所属企业审核通过 8 所属企业审核驳回）';
ALTER TABLE pps_dispatch.disp_run_plan_escalation ALTER COLUMN file_ids TYPE varchar USING file_ids::varchar;
ALTER TABLE pps_dispatch.disp_run_plan_escalation ADD be_show int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation.be_show IS '接收人和抄送人是否可以查看（0不可以 1 可以）';
ALTER TABLE pps_dispatch.disp_run_plan_escalation ADD be_feedback int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation.be_feedback IS '接收人是否可以反馈（0 不可以 1 可以）';
ALTER TABLE pps_dispatch.disp_run_plan_escalation ADD be_edit int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation.be_edit IS '提报人是否可以编辑（0 不可以 1 可以）';
ALTER TABLE pps_dispatch.disp_run_plan_escalation ADD receive_type int1 NULL;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation.receive_type IS '接收类型（1 按姓名 2 按角色）';
ALTER TABLE pps_dispatch.disp_run_plan_escalation ADD dispatch_copy_type int1 NULL;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation.dispatch_copy_type IS '调度运行接收类型（1 按姓名 2 按角色）';
ALTER TABLE pps_dispatch.disp_run_plan_escalation ALTER COLUMN feedback_state TYPE int1 USING feedback_state::int1;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_escalation.feedback_state IS '反馈状态（0 未反馈 1 已反馈）';

--pps_dispatch end

--pps_base_info start
CREATE TABLE pps_base_info.base_operational_constraint(
	id varchar(40) NOT NULL, -- 主键
	busine_type varchar(40) NULL, --业务类型
	save_submit_time varchar(10) NULL, -- 保存或提交截止时间(格式 18:00)
	audit_time varchar(10) NULL, -- 审核截止时间(格式 18:00)
	apply_change_time varchar(10) NULL, --申请变更截止时间(格式 18:00)
	create_by_id varchar(40) NULL, -- 创建人
	create_by_name varchar(100) NULL, -- 创建人名称
	create_time timestamp(3) NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人
	modify_by_name varchar(50) NULL, -- 修改人名称
	modify_time timestamp(3) NULL, -- 修改时间
	CONSTRAINT ops_base_operational_constraint_pkey PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_base_info.base_operational_constraint IS '操作约束表';


COMMENT ON COLUMN pps_base_info.base_operational_constraint.id IS '场站组织机构关系(主键)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.busine_type IS '业务类型';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.save_submit_time IS '保存或提交截止时间(格式 18:00)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.audit_time IS '审核截止时间(格式 18:00)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.apply_change_time IS '申请变更截止时间(格式 18:00)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.modify_time IS '修改时间';
--pps_base_info end
