--pps_dispatch start
ALTER TABLE pps_dispatch.gas_station_vent_record ADD in_analysis_state int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record.in_analysis_state IS '推送数据到分析库状态（0 未操作 1 操作成功 2 操作失败）';
ALTER TABLE pps_dispatch.gas_station_vent_record ADD in_analysis_log varchar NULL;
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record.in_analysis_log IS '推送数据到分析库日志';
ALTER TABLE pps_dispatch.gas_station_vent_record ADD out_analysis_state int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record.out_analysis_state IS '删除分析库数据状态（0 未操作 1 操作成功 2 操作失败）';
ALTER TABLE pps_dispatch.gas_station_vent_record ADD out_analysis_log varchar NULL;
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record.out_analysis_log IS '删除分析库数据日志';
--pps_dispatch end



--pps_analysis start
--分析库增加场站放空记录分类单
CREATE TABLE pps_analysis.gas_station_vent_record (
	id varchar(40) NOT NULL, -- 主键
	ou_id varchar(40) NULL, -- 组织id
	ou_name varchar(100) NULL, -- 组织描述
	station_id varchar(40) NULL, -- 场站id
	station_name varchar(100) NULL, -- 场站名称
	pipeline_id varchar(40) NULL, -- 管线id
	pipeline_name varchar(100) NULL, -- 管线名称
	data_date smalldatetime NULL, -- 数据日期
	vent_type_code varchar(40) NULL, -- 放空类型(字典编码)
	vent_type_name varchar(100) NULL, -- 放空类型名称(字典名称)
	vent_volume_split varchar(60) NULL, -- 放空量拆分（pipeline_cold_vent 管线冷放空 pipeline_heat_vent 管线热放空 station_cold_vent 场站冷放空 station_heat_vent 场站热放空）
	vent_device_code varchar(100) NULL, -- 放空设备及编号
	vent_gas_type varchar(20) NULL, -- 放空气体种类(1 天然气 2 煤层气)
	start_time smalldatetime NULL, -- 放空开始时间
	end_time smalldatetime NULL, -- 放空结束时间
	vent_capacity numeric(20, 5) NULL, -- 放空管容
	standard_factor numeric(10, 5) NULL, -- 标况压缩因子
	start_presure numeric(10, 5) NULL, -- 放空前压力
	end_presure numeric(10, 5) NULL, -- 放空后压力
	start_temperature numeric(10, 5) NULL, -- 放空前温度
	end_temperature numeric(10, 5) NULL, -- 放空后温度
	start_factor numeric(10, 5) NULL, -- 放空前压缩因子
	end_factor numeric(10, 5) NULL, -- 放空后压缩因子
	vent_volume numeric(20, 5) NULL, -- 放空量
	vent_reason varchar(500) NULL, -- 放空原因
	remark varchar(500) NULL, -- 备注
	file_ids varchar(500) NULL, -- 附件ids
	state int1 NULL, -- 状态（1 暂存 2 待审核 3 审核通过 4 审核驳回）
	create_by_id varchar(40) NULL, -- 创建人id
	create_by_name varchar(50) NULL, -- 创建人
	create_time smalldatetime NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人id
	modify_by_name varchar(50) NULL, -- 修改人
	modify_time smalldatetime NULL, -- 修改时间
	data_index int1 NULL DEFAULT 0, -- 序号
	CONSTRAINT "_gas_station_vent_record_pkey" PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_analysis.gas_station_vent_record IS '场站放空记录分类单';

-- Column comments

COMMENT ON COLUMN pps_analysis.gas_station_vent_record.id IS '主键';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.ou_id IS '组织id';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.ou_name IS '组织描述';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.station_id IS '场站id';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.station_name IS '场站名称';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.data_date IS '数据日期';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_type_code IS '放空类型(字典编码)';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_type_name IS '放空类型名称(字典名称)';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_volume_split IS '放空量拆分（pipeline_cold_vent 管线冷放空 pipeline_heat_vent 管线热放空 station_cold_vent 场站冷放空 station_heat_vent 场站热放空）';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_device_code IS '放空设备及编号';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_gas_type IS '放空气体种类(1 天然气 2 煤层气)';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.start_time IS '放空开始时间';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.end_time IS '放空结束时间';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_capacity IS '放空管容';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.standard_factor IS '标况压缩因子';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.start_presure IS '放空前压力';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.end_presure IS '放空后压力';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.start_temperature IS '放空前温度';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.end_temperature IS '放空后温度';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.start_factor IS '放空前压缩因子';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.end_factor IS '放空后压缩因子';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_volume IS '放空量';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.vent_reason IS '放空原因';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.remark IS '备注';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.file_ids IS '附件ids';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.state IS '状态（1 暂存 2 待审核 3 审核通过 4 审核驳回）';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.create_by_id IS '创建人id';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.create_by_name IS '创建人';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.create_time IS '创建时间';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.modify_by_id IS '修改人id';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.modify_by_name IS '修改人';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.modify_time IS '修改时间';
COMMENT ON COLUMN pps_analysis.gas_station_vent_record.data_index IS '序号';
--pps_analysis end