--pps_dispatch start
--增加场站放空记录分类单删除记录表
CREATE TABLE pps_dispatch.gas_station_vent_record_del (
	id varchar(40) NOT NULL, -- 主键
	ou_id varchar(40) NULL, -- 组织id
	ou_name varchar(100) NULL, -- 组织描述
	station_id varchar(40) NULL, -- 场站id
	station_name varchar(100) NULL, -- 场站名称
	pipeline_id varchar(40) NULL, -- 管线id
	pipeline_name varchar(100) NULL, -- 管线名称
	data_date smalldatetime NULL, -- 数据日期
	vent_type_code varchar(40) NULL, -- 放空类型(字典编码)
	vent_type_name varchar(100) NULL, -- 放空类型名称(字典名称)
	vent_volume_split varchar(60) NULL, -- 放空量拆分（pipeline_cold_vent 管线冷放空 pipeline_heat_vent 管线热放空 station_cold_vent 场站冷放空 station_heat_vent 场站热放空）
	vent_device_code varchar(100) NULL, -- 放空设备及编号
	vent_gas_type varchar(20) NULL, -- 放空气体种类(1 天然气 2 煤层气)
	start_time smalldatetime NULL, -- 放空开始时间
	end_time smalldatetime NULL, -- 放空结束时间
	vent_capacity numeric(20, 5) NULL, -- 放空管容
	standard_factor numeric(10, 5) NULL, -- 标况压缩因子
	start_presure numeric(10, 5) NULL, -- 放空前压力
	end_presure numeric(10, 5) NULL, -- 放空后压力
	start_temperature numeric(10, 5) NULL, -- 放空前温度
	end_temperature numeric(10, 5) NULL, -- 放空后温度
	start_factor numeric(10, 5) NULL, -- 放空前压缩因子
	end_factor numeric(10, 5) NULL, -- 放空后压缩因子
	vent_volume numeric(20, 5) NULL, -- 放空量
	vent_reason varchar(500) NULL, -- 放空原因
	remark varchar(500) NULL, -- 备注
	file_ids varchar(500) NULL, -- 附件ids
	state int1 NULL, -- 状态（1 暂存 2 待审核 3 审核通过 4 审核驳回）
	create_by_id varchar(40) NULL, -- 创建人id
	create_by_name varchar(50) NULL, -- 创建人
	create_time smalldatetime NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人id
	modify_by_name varchar(50) NULL, -- 修改人
	modify_time smalldatetime NULL, -- 修改时间
	data_index int1 NULL DEFAULT 0, -- 序号
	in_analysis_state int1 NULL DEFAULT 0, -- 推送数据到分析库状态（0 未操作 1 操作成功 2 操作失败）
	in_analysis_log varchar NULL, -- 推送数据到分析库日志
	out_analysis_state int1 NULL DEFAULT 0, -- 删除分析库数据状态（0 未操作 1 操作成功 2 操作失败）
	out_analysis_log varchar NULL, -- 删除分析库数据日志
	CONSTRAINT "_gas_station_vent_record_del_pkey" PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.gas_station_vent_record_del IS '场站放空记录分类单-删除';

-- Column comments

COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.id IS '主键';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.ou_id IS '组织id';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.ou_name IS '组织描述';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_type_code IS '放空类型(字典编码)';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_type_name IS '放空类型名称(字典名称)';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_volume_split IS '放空量拆分（pipeline_cold_vent 管线冷放空 pipeline_heat_vent 管线热放空 station_cold_vent 场站冷放空 station_heat_vent 场站热放空）';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_device_code IS '放空设备及编号';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_gas_type IS '放空气体种类(1 天然气 2 煤层气)';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.start_time IS '放空开始时间';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.end_time IS '放空结束时间';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_capacity IS '放空管容';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.standard_factor IS '标况压缩因子';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.start_presure IS '放空前压力';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.end_presure IS '放空后压力';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.start_temperature IS '放空前温度';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.end_temperature IS '放空后温度';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.start_factor IS '放空前压缩因子';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.end_factor IS '放空后压缩因子';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_volume IS '放空量';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.vent_reason IS '放空原因';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.remark IS '备注';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.file_ids IS '附件ids';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.state IS '状态（1 暂存 2 待审核 3 审核通过 4 审核驳回）';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.create_by_id IS '创建人id';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.create_by_name IS '创建人';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.create_time IS '创建时间';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.modify_by_id IS '修改人id';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.modify_by_name IS '修改人';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.modify_time IS '修改时间';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.data_index IS '序号';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.in_analysis_state IS '推送数据到分析库状态（0 未操作 1 操作成功 2 操作失败）';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.in_analysis_log IS '推送数据到分析库日志';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.out_analysis_state IS '删除分析库数据状态（0 未操作 1 操作成功 2 操作失败）';
COMMENT ON COLUMN pps_dispatch.gas_station_vent_record_del.out_analysis_log IS '删除分析库数据日志';

--托运商气量拆分增加删除表

CREATE TABLE pps_dispatch.disp_shipper_gas_split_daily_report_del (
	id varchar(40) NOT NULL, -- 主键id
	form_id varchar(40) NULL, -- 表单状态主键id
	m_ou_id varchar(40) NULL, -- 组织机构id
	m_ou_name varchar(100) NULL, -- 组织机构名称
	station_id varchar(40) NULL, -- 场站id
	station_name varchar(100) NULL, -- 场站名称
	pipeline_id varchar(40) NULL, -- 管线id
	pipeline_name varchar(100) NULL, -- 管线描述
	client_id varchar(40) NULL, -- 客户id
	client_name varchar(100) NULL, -- 客户名称
	shipper_id varchar(40) NULL, -- 托运商id
	shipper_name varchar(100) NULL, -- 托运商名称
	split_total_volume numeric(15, 5) NULL, -- 分输总量
	split_day_total_volume numeric(15, 5) NULL, -- 分输日指定总量
	shipper_day_volume numeric(15, 5) NULL, -- 托运商日指定总量
	shipper_day_rate numeric(15, 5) NULL, -- 托运商日指定占比
	shipper_day_rate_fill_volume numeric(15, 5) NULL, -- 托运商日指定填报占比
	shipper_split_compute_volume numeric(15, 5) NULL, -- 托运商分量计算值
	shipper_split_fill_volume numeric(15, 5) NULL, -- 托运商分量填报值
	data_date date NULL, -- 数据日期
	state int4 NULL DEFAULT 1, -- 1.完成填报，2.向过渡期PPS传递数据成功，3.向过渡期PPS传递数据失败
	shipper_volume_did int4 NULL, -- 托运量(万方)数据点id
	transfer_failure_reason varchar(300) NULL, -- 向过渡期PPS传递数据失败原因
	create_by_id varchar(40) NULL, -- 创建人
	create_by_name varchar(50) NULL, -- 创建人名称
	create_time timestamp NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人
	modify_by_name varchar(50) NULL, -- 修改人名称
	modify_time timestamp NULL, -- 修改时间
	sort varchar NULL,
	form_state int1 NULL, -- 表单状态
	CONSTRAINT disp_shipper_gas_split_daily_report_del_pkey PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.disp_shipper_gas_split_daily_report_del IS '托运商气量拆分日报-删除';

-- Column comments

COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.id IS '主键id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.form_id IS '表单状态主键id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.pipeline_name IS '管线描述';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.client_id IS '客户id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.client_name IS '客户名称';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_id IS '托运商id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_name IS '托运商名称';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.split_total_volume IS '分输总量';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.split_day_total_volume IS '分输日指定总量';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_day_volume IS '托运商日指定总量';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_day_rate IS '托运商日指定占比';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_day_rate_fill_volume IS '托运商日指定填报占比';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_split_compute_volume IS '托运商分量计算值';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_split_fill_volume IS '托运商分量填报值';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.state IS '1.完成填报，2.向过渡期PPS传递数据成功，3.向过渡期PPS传递数据失败';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.shipper_volume_did IS '托运量(万方)数据点id';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.transfer_failure_reason IS '向过渡期PPS传递数据失败原因';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.create_by_id IS '创建人';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.create_time IS '创建时间';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.modify_time IS '修改时间';
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_del.form_state IS '表单状态';

--管存计算增加 压缩因子日志 字段
ALTER TABLE pps_dispatch.disp_ng_tube_storage_cal ADD factor_log varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal.factor_log IS '压缩因子日志';


--pps_dispatch end